%global maj 0

Name:       sratom
Version:    0.2.0
Release:    3%{?dist}
Summary:    A C library for serializing LV2 plugins

Group:      System Environment/Libraries
License:    MIT
URL:        http://drobilla.net/software/%{name}/
Source0:    http://download.drobilla.net/%{name}-%{version}.tar.bz2
BuildRequires:  python
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  sord-devel >= 0.8.0
BuildRequires:  lv2-devel >= 1.0.0

%filter_setup

%description
%{name} is a new C library for serializing LV2 atoms to/from Turtle. It is 
intended to be a full serialization solution for LV2 atoms, allowing 
implementations to serialize binary atoms to strings and read them back again. 
This is particularly useful for saving plugin state, or implementing plugin 
control with network transparency.

%package devel
Summary:    Development libraries and headers for %{name}
Group:      Development/Libraries
Requires:   %{name}%{_isa} = %{version}-%{release}

%description devel
%{name} is a C library for serializing LV2 atoms to/from Turtle. It is 
intended to be a full serialization solution for LV2 atoms, allowing 
implementations to serialize binary atoms to strings and read them back again. 
This is particularly useful for saving plugin state, or implementing plugin 
control with network transparency.

This package contains the headers and development libraries for %{name}.

%prep
%setup -q 

# for packagers sake, build the tests with debug symbols
sed -i -e "s| '-ftest-coverage'\]|\
 '-ftest-coverage'\] + '%{optflags}'.split(' ')|" wscript

%build
export CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"
./waf configure -v \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --datadir=%{_datadir} \
    --docdir=%{_docdir}/%{name}-devel-%{version} \
    --test \
    --docs 
./waf build -v %{?_smp_mflags}

%install
DESTDIR=%{buildroot} ./waf install
chmod +x %{buildroot}%{_libdir}/lib%{name}-0.so.*

# tests failing - see http://dev.drobilla.net/ticket/832
#%%check
#./build/sratom_test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc NEWS README COPYING
%{_libdir}/lib%{name}-%{maj}.so.*

%files devel
%{_libdir}/lib%{name}-%{maj}.so
%{_libdir}/pkgconfig/%{name}-%{maj}.pc
%{_includedir}/%{name}-%{maj}/
%{_docdir}/%{name}-devel-%{version}
%{_mandir}/man3/*

%changelog
* Sat May 12 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.0-3
- Temporarily remove tests - http://dev.drobilla.net/ticket/832 

* Fri Apr 20 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.0-2
- Correct spelling and add missing build requires 

* Fri Apr 20 2012 Brendan Jones <brendan.jones.it@gmail.com> - 0.2.0-1
- Initial build 
